Librerie QT in Jessie, Kubuntu etc (rant)

3 risposte [Ultimo contenuto]
Ritratto di frank67
frank67
(Monster)
Offline
Monster
Iscritto: 10/07/2013
Messaggi: 486

Dopo aver spigolato su Distrowatch alcune distro ho vouto guardare come questo sito descriveva Debian, tutto bene fino al punto in cui mi sono accorto che la versione delle librerie QT è ferma alla 4.8.6 allora ho controllato, sempre su Distrowatch, la versione delle QT in Kubuntu e con mio grande stupore anche lì riportava la versione 4.8.6 allora ho pensato ad un problema di license e dopo alcune ricerche ho trovato che Digia rilascia le QT5 sotto LGPL ma con delle eccezioni. Angry
Che sia possibile che società come Intel, Nvidia rilascino i driver sotto license opensource e questa software-house abbia tarpato le ali al più diffuso DE Linux-based!! Aspetto commenti... Broken Heart

Ciao, Franco

Ritratto di frank67
frank67
(Monster)
Offline
Monster
Iscritto: 10/07/2013
Messaggi: 486

Credo proprio di aver preso una cantonata visto che in Ubuntu sono utilizzate le QT5 5.2.1, però è strano perché in una release recente come Kubuntu 14.04 (la pari versione di Ubuntu) sono utilizzate le QT 4.8 praticamente le stesse che sono in Wheezy, mha! Chiedo venia Big Hug

Ciao, Franco

Ritratto di badroot
badroot
(Guru)
Offline
Guru
Iscritto: 22/08/2008
Messaggi: 2059

Ciao,
su Jessie le QT sono già alla versione 5, stando a questo.
Per quanto riguarda il link alle eccezioni ammetto di non aver capito molto, ma mi sembra di capire che vogliano limitare il rilascio di codice oggetto generato usando la libreria QT al 5% della libreria, ripeto non è che mi sia molto chiaro ma mi pare di intendere che così facendo vogliano impedire che programmi sviluppati usando QT vengano distribuiti senza il sorgente, oppure limitandone al 5% del codice oggetto.
Certo quando si tira in ballo il "legalese" auguri a capirci qualcosa, fosse anche scritto in italiano ( o forse sarebbe persino meno chiaro ).

Ops !! ti sei già risposto da solo.

Ritratto di frank67
frank67
(Monster)
Offline
Monster
Iscritto: 10/07/2013
Messaggi: 486

Scusa Badroot per non essermi risposto prima Big Hug
Comunque ho Kubuntu installata in un volume logico e nella versione 14.04 le QT5 non ci sono, molto strano visto che è KDE oriented e basata su testing, forse aspettano la migrazione delle applicazioni a KDE Framework 5 (KF5) che è basato sulle QT5 (era per questo che mi ero alterato).

Ciao, Franco